Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.cxf
Class MuleJAXWSInvoker

    java.lang.Object
      org.apache.cxf.service.invoker.AbstractInvoker
          org.apache.cxf.service.invoker.FactoryInvoker
              org.apache.cxf.jaxws.AbstractJAXWSMethodInvoker
                  org.apache.cxf.jaxws.JAXWSMethodInvoker
                      org.mule.module.cxf.MuleJAXWSInvoker

All Implemented Interfaces:
  org.apache.cxf.service.invoker.Invoker

    public class MuleJAXWSInvoker

extends org.apache.cxf.jaxws.JAXWSMethodInvoker

Constructor Summary
`MuleJAXWSInvoker(org.apache.cxf.service.invoker.Invoker muleInvoker)`

Method Summary
`protected Object` | `invoke(org.apache.cxf.message.Exchange exchange, Object serviceObject, Method m, List<Object> params)`

Methods inherited from class org.apache.cxf.jaxws.AbstractJAXWSMethodInvoker
`addHandlerProperties, createFault, findSoapFaultException, removeHandlerProperties, updateWebServiceContext`

Methods inherited from class org.apache.cxf.service.invoker.FactoryInvoker
`getServiceObject, releaseServiceObject`

Methods inherited from class org.apache.cxf.service.invoker.AbstractInvoker
`checkSuspendedInvocation, getMostSpecificMethod, insertExchange, invoke, isJdkDynamicProxy, performInvocation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MuleJAXWSInvoker

    public MuleJAXWSInvoker(org.apache.cxf.service.invoker.Invoker muleInvoker)

Method Detail

### invoke

    protected Object invoke(org.apache.cxf.message.Exchange exchange,
                            Object serviceObject,
                            Method m,
                            List<Object> params)

  Overrides:
    `invoke` in class `org.apache.cxf.jaxws.JAXWSMethodInvoker`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.